<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<%@ page import="org.wso2.carbon.registry.resource.ui.clients.ResourceServiceClient" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>

    <%
        String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);

        String path = request.getParameter("path");
        String textContent;
        boolean showPlainText = false;
        boolean hideRichText = false;
        try {
            ResourceServiceClient client = new ResourceServiceClient(cookie, config, session);
            textContent = client.getTextContent(request);
            String mediaType = client.getMetadata(request).getMediaType();
            if (mediaType.equals("application/wsdl+xml") ||
                    mediaType.equals("application/policy+xml") ||
                    mediaType.equals("application/x-xsd+xml") ||
                    mediaType.equals("application/vnd.wso2-service+xml") ||
                    mediaType.equals("application/rdf+xml") ||
                    mediaType.equals("application/rss+xml") ||
                    mediaType.equals("application/xhtml+xml") ||
                    mediaType.equals("application/vnd.mozilla.xul+xml") ||
                    mediaType.equals("application/vnd.wap.wbxml") ||
                    mediaType.equals("application/vnd.wso2.endpoint") ||
                    mediaType.startsWith("application/vnd.sun.xml") ||
                    mediaType.equals("application/xml")) {
                hideRichText = true;
            }
            showPlainText = true;
        } catch (Exception e) {
            response.setStatus(500);
            %><%=e.getMessage()%><%
            return;
        }
    %>
<fmt:bundle basename="org.wso2.carbon.registry.resource.ui.i18n.Resources">
    <br/>
    <div>
        <input id="editTextContentIDRichText1" type="radio" name="editTextContentIDRichText" <%=(showPlainText) ? "checked=\"checked\"" : "" %> value="plain" onclick="handleUpdateRichText()" /> <fmt:message key="plain.text.editor"/>
        <input id="editTextContentIDRichText0" type="radio" name="editTextContentIDRichText" <%=(showPlainText) ? "" : "checked=\"checked\"" %> <%=(hideRichText) ? "disabled=\"disabled\"" : "" %> value="rich" onclick="handleUpdateRichText()" /> <fmt:message key="rich.text.editor"/>
    </div>
    <textarea id="editTextContentIDPlain" style="<%=(showPlainText) ? "" : "display:none;" %>width:99%;height:200px"><%=textContent%></textarea>
    <div class="yui-skin-sam" id="editTextContentTextAreaPanel" <%=(showPlainText) ? "style=\"display:none\"" : "" %> >
        <textarea id="editTextContentID" name="editTextContentID" style="display:none;"><%=textContent%></textarea>
    </div>
    <br/>
    <input type='button' class='button' id ="saveContentButtonID" onclick='updateTextContent("<%=path%>")'
           value='<fmt:message key="save.content"/>'/>
    <input type='button' class='button' id ="cancelContentButtonID" onclick='cancelTextContentEdit()'
           value='<fmt:message key="cancel"/>'/>
    <br/>

</fmt:bundle>