<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<%@ page import="org.wso2.carbon.registry.common.utils.RegistryUtil" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.wso2.carbon.registry.resource.ui.clients.ResourceServiceClient" %>


<jsp:include page="../dialog/display_messages.jsp"/>

<!-- YUI inculudes for rich text editor -->
<link rel="stylesheet" type="text/css"
      href="../yui/build/editor/assets/skins/sam/simpleeditor.css"/>
<script type="text/javascript" src="../yui/build/yahoo-dom-event/yahoo-dom-event.js"></script>
<script type="text/javascript" src="../yui/build/element/element-beta-min.js"></script>
<script type="text/javascript" src="../yui/build/container/container_core-min.js"></script>
<script type="text/javascript" src="../yui/build/editor/simpleeditor-min.js"></script>

<!-- other includes -->
<jsp:include page="../registry_common/registry_common-i18n-ajaxprocessor.jsp"/>
<script type="text/javascript" src="../registry_common/js/registry_validation.js"></script>
<script type="text/javascript" src="../registry_common/js/registry_common.js"></script>
<script type="text/javascript" src="../ajax/js/prototype.js"></script>
<jsp:include page="../resources/resources-i18n-ajaxprocessor.jsp"/>
<script type="text/javascript" src="js/resource_util.js"></script>
<!-- including the JS for properties, since JS can't be loaded via async calls. -->
<jsp:include page="../properties/properties-i18n-ajaxprocessor.jsp"/>
<script type="text/javascript" src="../properties/js/properties.js"></script>
<link rel="stylesheet" type="text/css" href="css/registry.css"/>
<%
    ResourceServiceClient client;
    boolean resourceExists = false;
    boolean isRoot = false;
    try {
        client = new ResourceServiceClient(config, session);
        String path = request.getParameter("path");
        if (path == null || path.equals("")) {
            path = "/";
        }
        if ("/".equals(path)) {
            isRoot = true;
        }
        if (client.getResourceTreeEntry(path) != null) {
            resourceExists = true;
        }
    } catch (Exception e) {
        resourceExists = false;
    }
%>
<fmt:bundle basename="org.wso2.carbon.registry.resource.ui.i18n.Resources">
<script type="text/javascript">
  <!--
  sessionAwareFunction(function() {
  <% if (!resourceExists) {
  //TODO: We should be able to distinguish the two scenarios below. An authorization failure
  //generates a AuthorizationFailedException which doesn't seem to arrive at this page.
  %>
      CARBON.showErrorDialog("<fmt:message key="unable.to.browse"/>",function(){
          location.href="../admin/index.jsp";
          return;
      });
  <% } else { %>
      loadMediaTypes();
  <% } %>
  }, "<fmt:message key="session.timed.out"/>");
  // -->
</script>
</fmt:bundle>
<%
    if (!resourceExists) {
        return;
    }
%>
<fmt:bundle basename="org.wso2.carbon.registry.resource.ui.i18n.Resources">
<carbon:breadcrumb label="resources"
                       resourceBundle="org.wso2.carbon.registry.resource.ui.i18n.Resources"
                       topPage="true" request="<%=request%>"/>

    <%
        boolean infoFound = CarbonUIUtil.isContextRegistered(config, "/info/");

        boolean propertiesFound = CarbonUIUtil.isContextRegistered(config, "/properties/");

        boolean relationsFound = CarbonUIUtil.isContextRegistered(config, "/relations/");

        boolean searchFound = CarbonUIUtil.isContextRegistered(config, "/search/");

        boolean lifecyclesFound = CarbonUIUtil.isContextRegistered(config, "/lifecycles/");
        String contraction = "min";
        boolean enableContraction = true;
        String viewType = "tree";
        if(session.getAttribute( "contraction" )!=null){
            contraction = (String)session.getAttribute( "contraction" );
        }
        /*if(session.getAttribute( "viewType" )!=null){
            viewType = (String)session.getAttribute( "viewType" );
        }*/
        if (!isRoot || "std".equals(request.getParameter("viewType"))) {
            viewType = "std";
        } else {
            viewType = "tree";
        }
    %>
    <style type="text/css">
        .yui-skin-sam h3 {
            font-size: 10px !important;
        }

        .yui-toolbar-container .yui-toolbar-titlebar h2 a {
            font-size: 11px !important;
        }
    </style>
    <div id="middle">

        <h2><fmt:message key="registry.resources.menu"/></h2>

        <div id="workArea">
            <div class="resource-path">
                <jsp:include page="metadata_resourcepath.jsp"/>
            </div>
            <table width="100%">

                <tr>

                    <% if (!infoFound && !relationsFound) {
                        contraction = "exp";
                        enableContraction = false;
                    }
                    %>
                    <td id="resourceMain" <% if (contraction.equals("min")){ %>style="width:70%"<% } %>>
                        <div id="viewPanel">
                            <% if(viewType.equals("tree")){ %>
                            <jsp:include page="tree_view_ajaxprocessor.jsp"/>
                            <% } else { %>
                            <jsp:include page="standard_view_ajaxprocessor.jsp"/>
                            <% } %>
                        </div>
                    </td>

                    <td class="contraction-spacer"></td>
                    <td id="pointTds">
			<div class="slidingIconCont">
				<a id="pointA" title="<fmt:message key="resource.show.left"/>" <% if (contraction.equals("exp")){ %>class="pointLeft"<% } else { %>class="pointRight"<% } %> <% if (enableContraction) { %> onclick="showHideResources('<%=contraction%>')" <% } %> ></a>
                <a id="treeView" title="<fmt:message key="tree.view"/>" class="treeView-<% if(viewType.equals("std")){ %>not<% }%>Selected" onclick="showHideTreeView('<%=(request.getParameter("path") == null) ? "" : request.getParameter("path")%>',this)"></a>
                <a id="stdView" title="<fmt:message key="detail.view"/>" class="stdView-<% if(viewType.equals("tree")){ %>not<% }%>Selected" onclick="showHideTreeView('<%=(request.getParameter("path") == null) ? "" : request.getParameter("path")%>',this)"></a>
			</div>
                    </td>
                    <% if (infoFound || relationsFound) {
                    %>
                    <td class="resource-right" id="resourceInfo" <% if (contraction.equals("exp")){ %>style="display:none;"<% } %>>

                        <% if (searchFound && CarbonUIUtil.isUserAuthorized(request, "/permission/admin/manage/search/resources")) {
                            String searchPath = "../search/simpleSearch.jsp";
                        %>
                        <jsp:include page="<%=searchPath%>"/>
                        <% } %>

                        <% if (relationsFound && CarbonUIUtil.isUserAuthorized(request, "/permission/admin/manage/resources/associations")) {
                        String relationsPath = "../relations/relations.jsp?path=" + RegistryUtil.getPath(request);
                        %>
                        <jsp:include page="<%=relationsPath%>"/>
                        <% } %>

                        <% if (lifecyclesFound && CarbonUIUtil.isUserAuthorized(request, "/permission/admin/manage/resources/govern/lifecycles")) {
                        String lifecyclesPath = "../lifecycles/lifecycles_ajaxprocessor.jsp?path=" + RegistryUtil.getPath(request);
                        %>
                        <div id="lifecyclesDiv">
                            <jsp:include page="<%=lifecyclesPath%>"/>
                        </div>
                        <% } %>

                        <% if (infoFound && CarbonUIUtil.isUserAuthorized(request, "/permission/admin/manage/resources/community-features")) {
                            String infoPath = "../info/info_ajaxprocessor.jsp?path=" + RegistryUtil.getPath(request);
                        %>
                        <div id="infoDiv">
                            <jsp:include page="<%=infoPath%>"/>
                        </div>
                        <% } %>
                    </td>

                    <% } %>
                </tr>

            </table>

        </div>
    </div>

    <!--div id="resourceTree" style="display:none" class="resourceTreePage">
        <div class="ajax-loading-message">
            <img src="/wso2registry/admin/images/ajax-loader.gif" align="top"/>
            <span><fmt:message key="resource.tree.loading.please.wait"/> ..</span>
        </div>
    </div>
    <div id="popup-main" style="display:none" class="popup-main">
    </div-->
</fmt:bundle>
