<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>

<%@ page import="org.wso2.carbon.registry.common.ui.UIConstants" %>
<%@ page import="org.wso2.carbon.registry.search.ui.beans.xsd.AdvancedSearchResultsBean" %>
<%@ page import="org.wso2.carbon.registry.search.ui.beans.xsd.SearchResultsBean" %>
<%@ page import="org.wso2.carbon.registry.search.ui.clients.SearchServiceClient" %>
<%@ page import="org.wso2.carbon.registry.search.ui.common.xsd.ResourceData" %>
<%@ page import="org.wso2.carbon.registry.search.ui.common.xsd.TagCount" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.registry.common.ui.utils.UIUtil" %>

<%@ page import="org.wso2.carbon.ui.CarbonUIUtil"%>
<%@ page import="org.wso2.carbon.registry.core.RegistryConstants" %>
<%@ page import="java.util.LinkedList" %>
<%@ page import="java.util.List" %>
<%@ page import="org.wso2.carbon.registry.search.ui.Utils" %>


<%
        String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
        AdvancedSearchResultsBean advancedSearchBean;
        String requestedPage = request.getParameter(UIConstants.REQUESTED_PAGE);
        try {
            SearchServiceClient client = new SearchServiceClient(cookie, config, session);
            if (requestedPage != null && session.getAttribute("advancedSearchBean") != null) {
                advancedSearchBean = (AdvancedSearchResultsBean) session.getAttribute("advancedSearchBean");
            } else {
                advancedSearchBean = client.getAdvancedSearchResults(request);
                session.setAttribute("advancedSearchBean", advancedSearchBean);
            }
        } catch (Exception e) {
            response.setStatus(500);
%>
<script type="text/javascript">
    CARBON.showErrorDialog("<%=e.getMessage()%>");
</script>
<%
            return;
        }
        ResourceData[] fullResourceDataList = advancedSearchBean.getResourceDataList();
        ResourceData[] resourceDataList = null;
        if (advancedSearchBean != null) {
            fullResourceDataList = advancedSearchBean.getResourceDataList();
        }
        int start = 0;
        int itemsPerPage = (int)(RegistryConstants.ITEMS_PER_PAGE * 1.5);
        int pageNumber = 1;
        int numberOfPages = 1;

        if (fullResourceDataList != null && fullResourceDataList.length != 0) {

            if (requestedPage != null && requestedPage.length() > 0) {
                pageNumber = new Integer(requestedPage);
            }


            if (fullResourceDataList.length % itemsPerPage == 0) {
                numberOfPages = fullResourceDataList.length / itemsPerPage;
            } else {
                numberOfPages = fullResourceDataList.length / itemsPerPage + 1;
            }

            if (fullResourceDataList.length >= itemsPerPage) {
                start = (pageNumber - 1) * itemsPerPage;
            }
            resourceDataList = Utils.getChildren(start, itemsPerPage, fullResourceDataList);
        }
%>
<fmt:bundle basename="org.wso2.carbon.registry.search.ui.i18n.Resources">
<%
        
        if (resourceDataList != null && resourceDataList.length != 0) {
    %>
    
    <h3 style="margin-top:20px;margin-bottom:20px;"> <fmt:message key="search.results"/> </h3>
    <table cellpadding="0" cellspacing="0" border="0" style="width:100%" class="styledLeft">
        <thead>
        <tr>
            <th style="padding-left:5px;text-align:left;">&nbsp;</th>
            <th style="padding-left:5px;text-align:left;"><fmt:message key="created"/></th>
            <th style="padding-left:5px;text-align:left;"><fmt:message key="author"/></th>
            <th style="padding-left:5px;text-align:left;"><fmt:message key="rating"/></th>
        </tr>
        </thead>
        <tbody>
        <%
            for (int i = 0; i < resourceDataList.length; i++) {
                ResourceData resourceData = resourceDataList[i];

                if (resourceData == null) {
                    continue;    
                }
                String tempPath = resourceData.getResourcePath();
                try {
                    tempPath = tempPath.replace("&", "%26");
                } catch (Exception ignore) {}
        %>
        <tr id="1">
             <% if (resourceData.getResourceType().equals("collection")) { %>
            <td style="padding-left:5px;padding-top:3px;text-align:left;"><img
                    src="images/icon-folder-small.gif" style="margin-right:5px;" align="top"/>
                    <% if (CarbonUIUtil.isUserAuthorized(request, "/permission/admin/manage/resources/browse")) {%>
                    <a onclick="directToResource('<%=UIUtil.getContextRoot(request)%>carbon/resources/resource.jsp?viewType=std&path=<%=tempPath%>')"
                    href="#"><%=resourceData.getResourcePath()%></a>
                    <% } else { %>
                    <%=resourceData.getResourcePath()%>
                    <% } %>
            </td>
            <% } %>
            <% if (resourceData.getResourceType().equals("resource")) { %>
            <td style="padding-left:5px;padding-top:3px;text-align:left;"><img
                    src="images/resource.gif" style="margin-right:5px;" align="top"/>
                    <% if (CarbonUIUtil.isUserAuthorized(request, "/permission/admin/manage/resources/browse")) {%>
                    <a onclick="directToResource('<%=UIUtil.getContextRoot(request)%>carbon/resources/resource.jsp?viewType=std&path=<%=tempPath%>')"
                    href="#"><%=resourceData.getResourcePath()%></a>
                    <% } else { %>
                    <%=resourceData.getResourcePath()%>
                    <% } %>
            </td>
            <% } %>

            <td style="padding-left:5px;padding-top:3px;text-align:left;"><nobr><%=resourceData.getFormattedCreatedOn()%></nobr>
            </td>
            <td style="padding-left:5px;padding-top:3px;text-align:left;"><%=resourceData.getAuthorUserName()%>
            </td>
            <td style="padding-left:5px;padding-top:3px;text-align:left;">
            <div style="width:140px;">
                <img src="images/r<%=resourceData.getAverageStars()[0]%>.gif"/>
                <img src="images/r<%=resourceData.getAverageStars()[1]%>.gif"/>
                <img src="images/r<%=resourceData.getAverageStars()[2]%>.gif"/>
                <img src="images/r<%=resourceData.getAverageStars()[3]%>.gif"/>
                <img src="images/r<%=resourceData.getAverageStars()[4]%>.gif"/>
                (<%=resourceData.getAverageRating()%>)
            </div>
            </td>
        </tr>

        <% } %>
        <carbon:resourcePaginator pageNumber="<%=pageNumber%>" numberOfPages="<%=numberOfPages%>"
                                  resourceBundle="org.wso2.carbon.registry.search.ui.i18n.Resources"
                                  nextKey="next" prevKey="prev" tdColSpan="4"
                                  paginationFunction="submitAdvSearchForm({0})" />
        <%--<tr>
            <td colspan="4" class="pagingRow" style="text-align:center;padding-top:10px; padding-bottom:10px;">

                <%
                    if (pageNumber == 1) {
                %>
                <span class="disableLink">< Prev</span>
                <%
                } else {
                %>
                <a class="pageLinks" title="<fmt:message key="page.x.to.y"><fmt:param value="<%=(pageNumber - 1)%>"/></fmt:message>"
                   onclick="submitAdvSearchForm(<%=(pageNumber-1)%>)"><
                    <fmt:message key="prev"/></a>
                <%
                    }
                    if (numberOfPages <= 10) {
                        for (int pageItem = 1; pageItem <= numberOfPages; pageItem++) { %>

                <a title="<fmt:message key="page.x.to.y"><fmt:param value="<%=pageItem%>"/></fmt:message>" class=<% if(pageNumber==pageItem){ %>"pageLinks-selected"<% } else { %>"pageLinks" <% } %>
                onclick="submitAdvSearchForm(<%=pageItem%>)" ><%=pageItem%></a>
                <% }
                } else {
                    // FIXME: The equals comparisons below looks buggy. Need to test whether the desired
                    // behaviour is met, when there are more than ten pages.
                    String place = "middle";
                    int pageItemFrom = pageNumber - 2;
                    int pageItemTo = pageNumber + 2;

                    if (numberOfPages - pageNumber <= 5) place = "end";
                    if (pageNumber <= 5) place = "start";

                    if (place == "start") {
                        pageItemFrom = 1;
                        pageItemTo = 7;
                    }
                    if (place == "end") {
                        pageItemFrom = numberOfPages - 7;
                        pageItemTo = numberOfPages;
                    }

                    if (place == "end" || place == "middle") {


                        for (int pageItem = 1; pageItem <= 2; pageItem++) { %>

                <a class="pageLinks" title="<fmt:message key="page.x.to.y"><fmt:param value="<%=pageItem%>"/></fmt:message>"
                   onclick="submitAdvSearchForm(<%=pageItem%>)"><%=pageItem%>
                </a>
                <% } %>
                ...
                <%
                    }

                    for (int pageItem = pageItemFrom; pageItem <= pageItemTo; pageItem++) { %>

                <a title="<fmt:message key="page.x.to.y"><fmt:param value="<%=pageItem%>"/></fmt:message>" class=<% if(pageNumber==pageItem){ %>"pageLinks-selected"<% } else {%>"pageLinks"<% } %>
                onclick="submitAdvSearchForm(<%=pageItem%>)"><%=pageItem%></a>
                <% }

                    if (place == "start" || place == "middle") {
                %>
                ...
                <%
                    for (int pageItem = (numberOfPages - 1); pageItem <= numberOfPages; pageItem++) { %>

                <a class="pageLinks" title="<fmt:message key="page.x.to.y"><fmt:param value="<%=pageItem%>"/></fmt:message>"
                   onclick="submitAdvSearchForm(<%=pageItem%>)"
                   style="margin-left:5px;margin-right:5px;"><%=pageItem%>
                </a>
                <% }
                }

                    if (place == "middle") {

                    }
                    //End middle display
                }
                    if (pageNumber == numberOfPages) {
                %>
                <span class="disableLink"><fmt:message key="next"/> ></span>
                <%
                } else {
                %>
                <a class="pageLinks" title="<fmt:message key="page.x.to.y"><fmt:param value="<%=(pageNumber + 1)%>"/></fmt:message>"
                   onclick="submitAdvSearchForm(<%=(pageNumber+1)%>)">Next
                    ></a>
                <%
                    }
                %>
                <span id="xx<%=pageNumber%>" style="display:none" />
            </td>
        </tr>--%>
            <%--<tr id="1-des" style="display:none;">--%>
            <%--<td class="table-description">--%>
            <%--<%=resourceData.getDescription()%>--%>
            <%--</td>--%>
            <%--</tr>--%>

        </tbody>
    </table>

    <%
    } else {
    %>
    
    <strong><fmt:message key="your.search.did.not.match.any.resources"/></strong>
    <%
        }
    %>
</fmt:bundle>
