<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>

<!-- This page is included to display messages which are set to request scope or session scope -->
<jsp:include page="../dialog/display_messages.jsp"/>
<jsp:include page="../registry_common/registry_common-i18n-ajaxprocessor.jsp"/>
<script type="text/javascript" src="../registry_common/js/registry_validation.js"></script>
<script type="text/javascript" src="../registry_common/js/registry_common.js"></script>
<carbon:jsi18n
        resourceBundle="org.wso2.carbon.registry.search.ui.i18n.JSResources"
        request="<%=request%>" namespace="org.wso2.carbon.registry.search.ui"/>
<script type="text/javascript" src="../search/js/search.js"></script>
<script type="text/javascript" src="../ajax/js/prototype.js"></script>
<link rel="stylesheet" type="text/css"
      href="../resources/css/registry.css"/>
<style type="text/css">
    table tbody tr td {
        border: 0 none;
        padding: 0;
        text-align: left;
        vertical-align: top;
    }

</style>
<script type="text/javascript">
    function initDatePickers() {
        jQuery("#cfromDate").datepicker();
        jQuery("#ctoDate").datepicker();
        jQuery("#ufromDate").datepicker();
        jQuery("#utoDate").datepicker();
    }
    jQuery(document).ready(initDatePickers)
</script>

<fmt:bundle basename="org.wso2.carbon.registry.search.ui.i18n.Resources">
<carbon:breadcrumb label="search"
                   resourceBundle="org.wso2.carbon.registry.search.ui.i18n.Resources"
                   topPage="true" request="<%=request%>"/>

<%
    boolean hasParameters = false;
    String createdAfter = request.getParameter("createdAfter");
    if (createdAfter == null) {
        createdAfter = "";
    } else {
        hasParameters = true;
    }
    String createdBefore = request.getParameter("createdBefore");
    if (createdBefore == null) {
        createdBefore = "";
    } else {
        hasParameters = true;
    }
    String updatedAfter = request.getParameter("updatedAfter");
    if (updatedAfter == null) {
        updatedAfter = "";
    } else {
        hasParameters = true;
    }
    String updatedBefore = request.getParameter("updatedBefore");
    if (updatedBefore == null) {
          updatedBefore = "";
    } else {
        hasParameters = true;
    }
    String resourcePath = request.getParameter("resourcePath");
    if (resourcePath == null) {
        resourcePath = "";
    } else {
        hasParameters = true;
    }
    String author = request.getParameter("author");
    if (author == null) {
        author = "";
    } else {
        hasParameters = true;
    }
    String updater = request.getParameter("updater");
    if (updater == null) {
        updater = "";
    } else {
        hasParameters = true;
    }
    String tags = request.getParameter("tags");
    if (tags == null) {
        tags = "";
    } else {
        hasParameters = true;
    }
    String commentWords = request.getParameter("commentWords");
    if (commentWords == null) {
        commentWords = "";
    } else {
        hasParameters = true;
    }
    String propertyName = request.getParameter("propertyName");
    if (propertyName == null) {
        propertyName = "";
    } else {
        hasParameters = true;
    }
    String propertyValue = request.getParameter("propertyValue");
    if (propertyValue == null) {
        propertyValue = "";
    } else {
        hasParameters = true;
    }
    String searchPath = "";
    if (hasParameters) {
        searchPath = "../search/advancedSearch-ajaxprocessor.jsp?" +
                "region=region3&item=registry_search_menu" +
                "&createdAfter=" + createdAfter + "&createdBefore=" + createdBefore +
                "&updatedAfter=" + updatedAfter + "&updatedBefore=" + updatedBefore +
                "&resourcePath=" + resourcePath + "&author=" + author +
                "&updater=" + updater + "&tags=" + tags +
                "&commentWords=" + commentWords + "&propertyName=" + propertyName +
                "&propertyValue=" + propertyValue;
    }
%>

<div id="middle">

<h2><fmt:message key="search"/></h2>

<div id="workArea">

<div id="advSearchReason" class="validationError"
     style="display: none;padding:5px;margin-bottom:10px;line-height:30px;"></div>

<form id="advancedSearchForm" name="advancedSearch" onsubmit="return submitAdvSearchForm()"
      action="advancedSearch-ajaxprocessor.jsp" method="get"
        <%=hasParameters ? "style=\"display:none\"" : ""%>>
<table class="styledLeft">
    <thead>
    <tr>
        <th><fmt:message key="search.for.resources"/></th>
    </tr>
    </thead>
    <tr>
        <td class="formRow">
            <table class="normal">
                <tr>
                    <td class="leftColumn"><fmt:message key="resource.name"/></td>
                    <td>
                        <input type="text" name="resourcePath" value="" id="#_resourceName"
                               onkeypress="handletextBoxKeyPress(event)"/>
                    </td>
                </tr>
                <tr>
                    <td valign="top"><fmt:message key="created"/></td>
                    <td>
                        <table cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td>
                                    <fmt:message key="from"/> :
                                </td>
                                <td>
                                    <a class="icon-link" style="background-image: url( ../admin/images/calendar.gif);" onclick="jQuery('#cfromDate').datepicker( 'show' );" href="#"></a>
                                    
                                    <input type="text" name="createdAfter" value=""
                                           id="cfromDate"
                                           style="width:140px;" onkeypress="handletextBoxKeyPress(event)"/>
                                    
                                </td>
                                <td>
                                    <fmt:message key="to"/> :
                                </td>
                                <td>
                                    <a class="icon-link" style="background-image: url( ../admin/images/calendar.gif);" onclick="jQuery('#ctoDate').datepicker( 'show' );" href="#"></a>
                                    <input type="text" name="createdBefore" value=""
                                           id="ctoDate"
                                           style="width:140px;" onkeypress="handletextBoxKeyPress(event)"/>
                                    
                                </td>
                            </tr>
                            <tr>
                                <td></td>
                                <td class="helpTextTop" style="margin:0px;padding:0px;">
                                    <fmt:message key="mm.dd.yyyy"/>
                                </td>
                                <td></td>
                                <td class="helpTextTop" style="margin:0px;padding:0px;">
                                    <fmt:message key="mm.dd.yyyy"/>
                                </td>
                            </tr>
                        </table>
                    </td>

                </tr>
                <tr>
                    <td valign="top"><fmt:message key="updated"/></td>
                    <td>
                        <table cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td>
                                    <fmt:message key="from"/> :
                                </td>
                                <td>
                                     <a class="icon-link" style="background-image: url( ../admin/images/calendar.gif);" onclick="jQuery('#ufromDate').datepicker( 'show' );" href="#"></a>
                                    <input type="text" name="updatedAfter" value=""
                                           id="ufromDate"
                                           style="width:140px;" onkeypress="handletextBoxKeyPress(event)"/>
                                </td>
                                <td>
                                    <fmt:message key="to"/> :
                                </td>
                                <td>
                                    <a class="icon-link" style="background-image: url( ../admin/images/calendar.gif);" onclick="jQuery('#utoDate').datepicker( 'show' );" href="#"></a>
                                    <input type="text" name="updatedBefore" value=""
                                           id="utoDate"
                                           style="width:140px;" onkeypress="handletextBoxKeyPress(event)"/>
                                </td>
                            </tr>
                            <tr>
                                <td></td>
                                <td class="helpTextTop" style="margin:0px;padding:0px;">
                                    <fmt:message key="mm.dd.yyyy"/>
                                </td>
                                <td></td>
                                <td class="helpTextTop" style="margin:0px;padding:0px;">
                                    <fmt:message key="mm.dd.yyyy"/>
                                </td>
                            </tr>
                        </table>
                    </td>

                </tr>
                <tr>
                    <td><fmt:message key="created.by"/></td>
                    <td>
                        <input type="text" name="author" value="" id="#_author" onkeypress="handletextBoxKeyPress(event)"/>
                    </td>

                </tr>
                <tr>
                    <td><fmt:message key="updated.by"/></td>
                    <td>
                        <input type="text" name="updater" value="" id="#_updater" onkeypress="handletextBoxKeyPress(event)"/>
                    </td>

                </tr>
                <tr>
                    <td><fmt:message key="tags"/></td>
                    <td>
                        <input type="text" name="tags" value="" id="#_tags" onkeypress="handletextBoxKeyPress(event)"/>
                    </td>
                </tr>
                <tr>

                    <td><fmt:message key="comments"/></td>
                    <td>
                        <input type="text" name="commentWords" value="" id="#_comments" onkeypress="handletextBoxKeyPress(event)"/>
                    </td>
                </tr>
                <tr>
                    <td><fmt:message key="property.name"/></td>
                    <td>
                        <input type="text" name="propertyName" value=""
                               id="#_propertyName" onkeypress="handletextBoxKeyPress(event)"/>
                    </td>
                </tr>
                <tr>
                    <td><fmt:message key="property.value"/></td>
                    <td>
                        <input type="text" name="propertyValue" value=""
                               id="#_propertyValue" onkeypress="handletextBoxKeyPress(event)"/>
                    </td>
                </tr>
               <%-- <tr>
                    <td><fmt:message key="including.content"/></td>
                    <td>
                        <input type="text" name="content" value="" id="#_content" onkeypress="handletextBoxKeyPress(event)"/>
                    </td>
                </tr>--%>
            </table>
        </td>
    </tr>
    <tr>
        <td class="buttonRow">
            <input type="button" id="#_0" value="<fmt:message key="search"/>" class="button"
                   onclick="submitAdvSearchForm()"/>
        </td>
    </tr>

</table>


<div id="commentsForm" style="display:none;">
    <table cellpadding="0" cellspacing=10 border="0" style="width:100%" class="form-table">
        <tr>
            <td class="leftColumn"><fmt:message key="commented.user"/></td>
            <td>
                <input type="text" name="commentedUser" value="" id="#_commentedUser"
                       style="width:100px;"/>
            </td>
        </tr>
        <tr>
            <td valign="top"><fmt:message key="date"/></td>
            <td>
                <div style="width:200px;font-style:italic;"><fmt:message
                        key="only.find.results.updated"/></div>
                <fmt:message key="from"/>: <input type="text" name="fromDate" value=""
                                                  id="#_fromDate"
                                                  style="width:100px;"/>
                <fmt:message key="to"/>: <input type="text" name="toDate" value="" id="#_toDate"
                                                style="width:100px;"/>
            </td>
        </tr>
        <tr>
            <td valign="top"><fmt:message key="resource.name"/></td>
            <td>
                <input type="text" name="resourceName" value="" id="#_resourceName2"/>
            </td>
        </tr>
        <tr>
            <td><fmt:message key="commented.text"/></td>
            <td>
                <input type="text" name="commentedText" value="" id="#_commentedText"/>
            </td>
        </tr>
        <tr>
            <td><fmt:message key="created.by1"/></td>
            <td>
                <input type="text" name="createdBy" value="" id="#_createdBy"/>
            </td>
        </tr>
    </table>
</div>


</form>

<!-- Search results starts here -->
<%
    if (hasParameters) {
%>
<div style="margin-bottom:30px;" id="searchResuts">
    <jsp:include page="<%=searchPath%>"/>

    <div style="margin-top:10px;<%=hasParameters ? "" : "display:none"%>">
    <a href="./advancedSearch.jsp?region=region3&item=registry_search_menu" class="icon-link"
       style="background-image:url(./images/search.gif);">
        <fmt:message key="try.advanced.search"/>
    </a>
</div>
</div>
<%
    } else {
%>
<div style="margin-top:30px;" id="searchResuts"></div>
<%
    }
%>


</div>

</div>
</fmt:bundle>